//选择省市区
var city_picker = new mui.PopPicker({layer:3});
city_picker.setData(init_city_picker);
$("#city_id").on("click", function(){
	setTimeout(function(){
		city_picker.show(function(items){	
			if(!!(items[2] || {}).text){
				$("#city_id").val((items[0] || {}).text + " " + (items[1] || {}).text + " " + (items[2] || {}).text);
			}else{
				$("#city_id").val((items[0] || {}).text + " " + (items[1] || {}).text);
			}				
		});
	},200);
});
//是否设置默认地址
document.getElementById("addrDefault").addEventListener("toggle",function(event){
  if(event.detail.isActive){
    $('#isdefault').val(1);
  }else{
   	$('#isdefault').val(0);
  }
})
//通过内部页面传递参数
mui.plusReady(function(){
	var self = plus.webview.currentWebview();
	addressId = self.params;
	get_address_detail(addressId)
})

function get_address_detail(addressId){
	var req="method=mgr_addresss&action=detail"; 
		req += '&token='+localStorage.getItem('Mtoken'); 
	console.log(BaseUrl+req);
	mui.ajax(BaseUrl+req,{
			data:{id:addressId},dataType:'jsonp',type:'post',timeout:10000,async:false,
			success:function(data){	
				console.log(data);
				arr = stdiscardHeadData(data) ;
				if(arr['code']=="1"){
		      	var res =arr['data']['detail'];
		      	$('#addressid').val(res.id);
				$('#receive_name').val(res.receive_name);	
				$('#receive_phone').val(res.receive_phone);
				$('#city_id').val(res.receice_city);
				$('#receice_addr').val(res.receice_addr);
				if(res.is_default!=1){
					$('.addrDefault').css('display','block');
				}
		        }else{mui.toast(arr['msg'],{ duration:'3000', type:'div' })}
			},
			error:function(xhr,type,errorThrown){plus.nativeUI.toast('网络连接异常')}
	});
}

//edit地址提交数据接口
mui(".saveaddr").on("tap",".save",function(){
	var addressid = $("#addressid").val();
	var city_id = $.trim($("#city_id").val());
	var receive_name = $.trim($("#receive_name").val());
	var receive_phone = $.trim($("#receive_phone").val());
	var receice_addr = $.trim($("#receice_addr").val());
	var isdefault = $.trim($("#isdefault").val());
	if(ifNull(receive_name)){
		$("#receive_name").focus();
		plus.nativeUI.alert("请填写收货人姓名",null,"随心租");
		return;
	}
	if(ifNull(receive_phone)){
		plus.nativeUI.alert("请填写收货联系电话",null,"随心租");
		return;
	}
	if(ifNull(receice_addr)){
		$("#receice_addr").focus();		
		plus.nativeUI.alert("请填写收货地址",null,"随心租");
		return;
	}
	req="method=mgr_addresss&action=edit"; 
	req += '&id='+addressid;
	req += '&receive_phone='+receive_phone;
	req += '&city='+city_id;
	req += '&receive_name='+receive_name;
	req += '&receice_addr='+receice_addr;
	req += '&isdefault='+isdefault;	
	req += '&token='+localStorage.getItem('Mtoken'); 
	console.log(BaseUrl+req);
	mui.ajax(BaseUrl+req,{
			data:{},dataType:'jsonp',type:'post',timeout:10000,async:false,
			success:function(data){	
				arr = stdiscardHeadData(data) ;
				if(arr['code']=="1"){
					mui.back();
		         }else{mui.toast(arr['msg'],{ duration:'3000', type:'div' })}
			},
			error:function(xhr,type,errorThrown){plus.nativeUI.toast(xhr)}
	});
});
//返回上一页时，告诉上一页重新拉取地址列表
mui.init({
    beforeback: function(){
     fatherpage = plus.webview.currentWebview().opener();
     mui.fire(fatherpage, 'refresh');
     return true;
    }
}) 