//控制td的宽高
function tdSizeWH() {
    var tdWidth = $('.cld_table tbody td').width();
    $('.cld_table tbody td').height(tdWidth);
    $(window).resize(function() {
        var tdWidth = $('.cld_table tbody td').width();
        $('.cld_table tbody td').height(tdWidth);
    });
}
var date = new Date();
//当前是哪一年
var year = date.getFullYear();
//当前是哪个月，注意这里的月是从0开始计数的
var month = date.getMonth(); //month+1几位当前月
// for (var j = 0; j <= month; j++) {
//      riliTableHtml(year, j + 1); 
// }
for (var j = month; j >= 0; j--){
     riliTableHtml(year, j + 1); 
}

//TODO 生成日历表填充到日历里
function riliTableHtml(year, month) {

    // $('.cld_year').html(year); //当前年
    // $('.cld_month').html(month); //当前月
    var cld_year_month = '<h2 class="riliText"><span class="cld_year">'+year+'</span>年<span class="cld_month">'+month+'</span>月</h2>';

    //当前月的第一天的日期
    var firstDay = new Date(year, (month - 1), 1);

    //第一天是星期几
    var weekday = firstDay.getDay();

    /**求当前月一共有多少天
     *new Date(year,month,0) ： month是当前月，day为0即我们所需的当前月的最后一天。
     *getDate（）则返回这个日期对象是一个月中的第几天，我们由最后一天得知这个月一共有多少天
     **/
    var days = new Date(year, month, 0).getDate();

    var res = [];
    //输出第一天之前的空格
    for (var i = 0; i < weekday; i++) {
        res.push('');
    }
    for (var j = 1; j <= days; j++) {
        res.push(j);
    }
    var tabHtml = '';
    for (var i = 0; i < res.length; i++) {
        var td = '<td>' + res[i] + '</td>';
        if (i % 7 == 0) {
            tabHtml += '<tr>' + td;
        } else if ((i + 1) % 7 == 0) {
            tabHtml += td + '</tr>';
        } else {
            tabHtml += td;
        }
    }
    var cld_table=' <div class="cld_table"><table><tbody>'+tabHtml+'</tbody></table></div>';
    // $('.cld_table tbody').html(tabHtml); //填充到DOM里
    $('#daiban').append(cld_year_month+cld_table);
    tdSizeWH(); //控制td的宽高
}