mui.plusReady(function(){
		var self = plus.webview.currentWebview();
		var	orderId = self.dataKey;  //订单编号
		// console.log(orderId);
		//获取订单详情
		get_order_detail(orderId);

		//点击复制订单编号
		mui('body').on('tap', '.copya', function() {
	        var orderNumText = $("#orderNum").text();//获取文本
	        var flag = copyText(orderNumText); //传递文本
	        alert(flag?"复制成功！":"复制失败！");
		})

		//点击取消订单
		mui('body').on('tap', '#cancel', function() {
			var btnArray = ['我再想想','确定'];
			mui.confirm('取消该笔订单吗？', '', btnArray, function(e) {
				if (e.index == 1) {//确定
					var req="method=mgr_order&action=cancel"; 
					req += '&token='+localStorage.getItem('Mtoken');	
					req += '&orderId='+orderId;
					// console.log(BaseUrl+req);
					mui.ajax(BaseUrl+req,{
							data:{},dataType:'jsonp',type:'post',timeout:10000,async:false,
							success:function(data){	
								arr = stdiscardHeadData(data);
								if(arr['code']=="1"){
									mui.toast('已经取消该笔订单');
									location.reload();//刷新页面	
						        }else{mui.toast(arr['msg'],{ duration:'3000', type:'div' })}
							},
							error:function(xhr,type,errorThrown){plus.nativeUI.toast('网络连接异常')}
					});
				}
			})
		})


		//点击确认收货
		mui('body').on('tap', '#recive', function() {
			var btnArray = ['我再想想','确定'];
			mui.confirm('确认已经收货？', '', btnArray, function(e) {
				if (e.index == 1) {//确定
					var req="method=mgr_order&action=recive"; 
					req += '&token='+localStorage.getItem('Mtoken');	
					req += '&orderId='+orderId;
					// console.log(BaseUrl+req);
					mui.ajax(BaseUrl+req,{
							data:{},dataType:'jsonp',type:'post',timeout:10000,async:false,
							success:function(data){	
								arr = stdiscardHeadData(data);
								if(arr['code']=="1"){
									mui.toast('该笔订单已经完成确认收货');
									location.reload();//刷新页面	
						        }else{mui.toast(arr['msg'],{ duration:'3000', type:'div' })}
							},
							error:function(xhr,type,errorThrown){plus.nativeUI.toast('网络连接异常')}
					});
				}
			})
		})


		//返回我的订单页时，刷新
	  	mui.init({
	        beforeback: function() {　　 
	            var list = plus.webview.currentWebview().opener();　　
	            mui.fire(list, 'refresh');
	            return true;
	        }
	    });

})

//订单
function get_order_detail(orderId){
	var req="method=mgr_order&action=getDetail"; 
	req += '&token='+localStorage.getItem('Mtoken');	
	req += '&orderid='+orderId;
	// console.log(BaseUrl+req);
	mui.ajax(BaseUrl+req,{
			data:{},dataType:'jsonp',type:'post',timeout:10000,async:false,
			success:function(data){	
		       //console.log(JSON.stringify(data));
				arr = stdiscardHeadData(data);
				if(arr['code']=="1"){
		      	var res =arr['data']['orderInfo'];
				var html=h_html=b_html=f_html='';

				//不同状态内容
				switch(res.status){
						case 'cancel':
							$('#orderStatus').html('已关闭');
					        break;
					     case 'waitpayfor':
							$('#orderStatus').html('待支付');
							$('#orderAction').html('<div class="p6_bar"><a href="#" class="qxa" id="cancel">取消订单</a><a href="#" class="paya">去支付</a></div>');	
	  				        break;
					     case 'waitrecive':
							$('#orderStatus').html('待收货');
							$('#orderAction').html('<div class="p6_bar"><a href="#" class="paya" id="recive">确认收货</a></div>');							
					        break;
					     case 'waitreturn':
							$('#orderStatus').html('履约中');
							$('#orderAction').html('<div class="p6_bar"><a href="#" class="paya">买断</a><a href="#" class="paya">履约</a></div>');							
					        break;    
					     case 'finish':
							$('#orderStatus').html('已完结');
					        break; 		           
					     default:
					     	return "";
					     	break;
				}

				h_html='<div class="head">随心租</div>';
        		for(var j=0,rep;rep=res['prodslist'][j++];){
		    		b_html+='<div class="sale"> <a href="orderinfo.html" data-key="'+res.id+'" class="photo"> <img src="'+rep.pic0+'" alt=""> </a>'+
				          '<div class="inf">'+
				            '<div class="name">'+
				            	'<a href="orderinfo.html" data-key="'+res.id+'"  class="nm">'+rep.title+'</a>'+
								'<div class="saletag">该商品一经拆封不支持7天无理由退货</div>'+
				            '</div>'+
				            '<div class="pricenew">'+
				                '<div class="s1">总租金￥'+rep.price+' x'+rep.nums+'件</div>'+
								'<div class="s2">日租金￥'+(rep.price/rep.init_rent).toFixed(2)+'/天 x'+rep.init_rent+'天</div> '+
				            	'<div class="s3">租金付款方式：支付宝免密支付</div>'+
				            '</div>'+
				          '</div>'+
				          '<div class="clear"></div>'+
				          '</div>';
        		}
				f_html = '<div class="dpwr">'+
							'<div class="dp">'+
							   '<div class="tit lt">总押金</div>'+
							   '<div class="pi rt">￥'+res.order_price+'元 </div>'+
						  	'</div>'+
							'<div class="dp">'+
							   '<div class="tit lt">芝麻信用免押金</div>'+
							   '<div class="pi rt">￥0.00元 </div>'+
						  	'</div>'+
							'<div class="dp">'+
							   '<div class="tit lt">已冻结押金</div>'+
							   '<div class="pi rt">￥0.00元 </div>'+
						  	'</div>'+						  	
						  '</div>';
						  // '<div class="end">'+
						  //   '<div class="lt">订单金额</div>'+
						  //   '<div class="rt">￥'+res.order_price+'</div>'+
						  // '</div>';
	    		html+=(h_html+b_html+f_html); //拼装数据
	    		$('#orderTime').html(getTime(res.create_time));
	    		$('#orderNum').html(res.order_num);
		      	$('.listAll').html(html);
		      	get_address_detail(res.address_id);
		        }else{mui.toast(arr['msg'],{ duration:'3000', type:'div' })}
			},
			error:function(xhr,type,errorThrown){plus.nativeUI.toast('网络连接异常')}
	});
}
//Get this Order recive Address
function get_address_detail(addressId){
	var req="method=mgr_addresss&action=detail"; 
		req += '&id='+addressId;		
		req += '&token='+localStorage.Mtoken;	
	// console.log(BaseUrl+req);
	mui.ajax(BaseUrl+req,{
			data:{},dataType:'jsonp',type:'post',timeout:10000,async:false,
			success:function(data){	
				//console.log(data);
				arr = stdiscardHeadData(data) ;
				if(arr['code']=="1"){
		      	var res =arr['data']['detail'];
				$('#reciveNamePhone').html(res.receive_name+' '+res.receive_phone);	
				$('#reciveAddr').html(res.receice_city+' '+res.receice_addr);
		        }else{mui.toast(arr['msg'],{ duration:'3000', type:'div' })}
			},
			error:function(xhr,type,errorThrown){plus.nativeUI.toast('网络连接异常')}
	});
}
//客服电话
document.getElementById("callService").addEventListener('tap',function(){
            var btnArray=['拨打','取消'];
            var phone="15888810806";
            mui.confirm('是否拨打客服电话 '+phone+'?','提示',btnArray,function(e){
                if(e.index == 0){
                    plus.device.dial(phone,false);
                }
            });
});
//点击复制功能
function copyText(text) {
    var textarea = document.createElement("input");//创建input对象
    var currentFocus = document.activeElement;//当前获得焦点的元素
    document.body.appendChild(textarea);//添加元素
    textarea.value = text;
    textarea.focus();
    if(textarea.setSelectionRange)
        textarea.setSelectionRange(0, textarea.value.length);//获取光标起始位置到结束位置
    else
        textarea.select();
    try {
        var flag = document.execCommand("copy");//执行复制
    } catch(eo) {
        var flag = false;
    }
    document.body.removeChild(textarea);//删除元素
    currentFocus.focus();
    return flag;
}