//返回上一页时，告诉上一页重新拉取指定属性
mui.init({
    beforeback: function(){
     fatherpage = plus.webview.currentWebview().opener();
     mui.fire(fatherpage, 'refresh');
     return true;
    }
})
//监听，从前面返回来时，重新加载指定方法
window.addEventListener('refresh', function (e) {
    count_shopping_car();
});

var BaseX = localStorage.getItem('BaseX');
console.log("ShopingCarPage:BaseX"+BaseX);


mui(".mui-numbox").numbox();//初始化数字输入框
var GoodsCode =  '';
var MertCode =  '';

var shopres='';

//初始化推荐内容
mui.plusReady(function(){
count_shopping_car();
})

function count_shopping_car(){
		var  shopingcardata = '{"list":['+localStorage.shopingcar+']}';
		shopres = stdiscardHeadData(shopingcardata)['list'];
		console.log("count_shopping_car:"+shopres.length);

		//判断购物车是否为空
		if(shopres.length>0){
			$('#itemLength').html(shopres.length);	
			$('.empty').css('display','none');
			$('.shopCart').css('display','block');			
			$('#delShoppingcart').css('display','block');
			var html='';

			//取第一件商品的关联推荐
			GoodsCode =  shopres[0].goodsCode;
			MertCode =  shopres[0].mertCode;

	        for(var i=0,ret;ret=shopres[i++];){
	        	var href_html = 'product-detial.html?pcode='+ret.goodsCode+'&pic0='+ret.ItemPic+'&pic1='+ret.ItemPic+'&pic2='+ret.ItemPic+'&pic3='+ret.ItemPic;

	        	html +='<li class="mui-table-view-cell ">'+
							'<div class="mui-slider-right mui-disabled">'+
								'<a class="mui-btn mui-btn-red" target="'+i+'">删除</a>'+
							'</div>'+
							'<div class="mui-slider-handle">'+
								'<div class="mui-input-row mui-checkbox mui-left">'+
									'<a href="'+href_html+'">'+
										'<img class=" mui-pull-left" src="'+ret.ItemPic+'"></a>'+
										'<div class="mui-media-body">'+
											'<span class="mui-ellipsis-2 name">'+ret.GoodsName+'</span>'+
											'<p class="mui-ellipsis">总租金￥'+(ret.Price*BaseX).toFixed(2)+'</p>'+
											'<span class="money">￥'+((ret.Price*BaseX)/365).toFixed(2)+'/天</span>'+
											'<p class="mui-pull-right">'+
												'<div class="mui-numbox" data-numbox-min="1" >'+
													'<button class="mui-btn mui-btn-numbox-minus" type="button">-</button>'+
													'<input name='+i+' class="mui-input-numbox" type="number" value="'+ret.Nums+'">'+
													'<button class="mui-btn mui-btn-numbox-plus" type="button">+</button>'+
												'</div>'+
											'</p>'+
										'</div>'+									
									'<input name="checkbox" data-p='+((ret.Price*BaseX)/365).toFixed(2)+' value="'+(ret.Price*BaseX).toFixed(2)+'" type="checkbox">'+
								'</div>'+
							'</div>'+
						'</li>';
	        }
	        $('#commList').html(html);
			get_more_recommend(GoodsCode,MertCode);
		}else{
			//设定默认的推荐商品
			// GoodsCode =  '11346312294';
			// MertCode =  '0000000000';
			$('.mui-input-group').html('');			
			$('.empty').html('还没有添加商品');			
			$('.empty').css('display','block');
			$('.shopCart').css('display','none');
			$('#delShoppingcart').css('display','none');
			init_shopCar_recommand_default();
		}
		//加载推荐商品
}


//首页-推荐页-初始化各大类-精选商品-初始加载
function init_shopCar_recommand_default(){
	var req="method=mgr_products&action=get_typestr_banner_list_idx"; 
	console.log(BaseUrl+req);
	mui.ajax(BaseUrl+req,{
			data:{},dataType:'jsonp',type:'post',timeout:10000,async:true,
			beforeSend: function() {
			        plus.nativeUI.showWaiting("Loading....");
			},
			complete: function() {
			        plus.nativeUI.closeWaiting();
			},
			success:function(data){	
				arr = stdiscardHeadData(data);
				if(arr['code']=="1"){
					var html='';
					var res =arr['data']['list'];	
					//一、数据组装	
			        for(var i=0,ret;ret=res[i++];){
			        	console.log(JSON.stringify(ret));
			        	html+=get_searchkey_list(ret.search_key,'4');
						$('.wp').append(html);
					}
					var htmlT='<div class="clear"></div>';
					$('.wp').append(htmlT);
				}else{mui.toast(arr['msg'],{ duration:'3000', type:'div' })}
			},
			error:function(xhr,type,errorThrown){plus.nativeUI.toast(req+'网络连接异常')}
	});		
}

//从苏宁接扣获取关键字搜索--【精选活动列表产品】
function get_searchkey_list(searchkey,pageSize='0'){
	var req="method=mgr_products&action=get_searchkey_list"; 
		req+="&searchkey="+searchkey;
		if(pageSize>0){
		req+="&pageSize="+pageSize;
		}
	console.log(BaseUrl+req);
	var htmlA='';
	mui.ajax(BaseUrl+req,{
			data:{},dataType:'jsonp',type:'post',timeout:10000,async:false,		
			success:function(data){	
				arr = stdiscardHeadData(data);
				if(arr['code']=="1"){
					var html='';
			      	var res =arr['data']['list'];
			        for(var i=0,ret;ret=res[i++];){
						// console.log(JSON.stringify(ret));
			        	var prd = ret.commodityInfo;
						var href_html = 'product-detial.html?origin=suning&pcode='+prd.commodityCode+'&pic0='+prd.pictureUrl[0].picUrl+'&pic1='+prd.pictureUrl[1].picUrl+'&pic2='+prd.pictureUrl[2].picUrl+'&pic3='+prd.pictureUrl[3].picUrl;
						
                    	html +='<a href="'+href_html+'" class="item">'+
										'<div class="photo">'+
											'<img src="'+prd.pictureUrl[0].picUrl+'" alt="">'+
										'</div>'+
										'<div class="name">'+prd.commodityName+'</div>'+
										'<div class="tags">'+
											'<span class="ti">'+cut_str(prd.commodityName,20)+'</span>'+
											'<div class="clear"></div>'+
										'</div>'+
										'<div class="price">'+
											'<strong>￥'+((prd.commodityPrice*BaseX)/365).toFixed(2)+'</strong>/天'+
										'</div>'+
									'</a>';
					}
					htmlA = html;
				}else{mui.toast(arr['msg'],{ duration:'3000', type:'div' })}
			},
			error:function(xhr,type,errorThrown){plus.nativeUI.toast(req+'网络连接异常')}
	});
	return htmlA;
}


//获取关联产品
function get_more_recommend(GoodsCode,MertCode){
	var req = "method=get_more_recommend_by_id&CommodityCode="+GoodsCode;
		req +='&SupplierCode='+MertCode;
		req +='&nums=10';
	console.log(BaseUrl+req);
	mui.ajax(BaseUrl+req,{
		data:{},dataType:'jsonp',type:'post',timeout:10000,async:false,
			success:function(data){
				var arr = stdiscardHeadData(data);
				if(arr['code']=="1"){
					var normal_html='';
	              	var res =arr['data']['list'];
				        for(var i=0,ret;ret=res[i++];){
							var href_html = 'product-detial.html?pcode='+ret.commodityCode+'&pic0='+ret.picList+'&pic1='+ret.pic1+'&pic2='+ret.pic2+'&pic3='+ret.pic3;
                        	normal_html +='<a href="'+href_html+'" class="item">'+
											'<div class="photo">'+
												'<img src="'+ret.picList+'" alt="">'+
											'</div>'+
											'<div class="name">'+ret.commodityName+'</div>'+
											'<div class="tags">'+
												'<span class="ti">'+cut_str(ret.sellingPoint,20)+'</span>'+
												'<div class="clear"></div>'+
											'</div>'+
											'<div class="price">'+
												'<strong>￥'+((ret.snPrice*BaseX)/365).toFixed(2)+'</strong>/天'+
											'</div>'+
										'</a>';
						}
						normal_html+='<div class="clear"></div>';
						$('.wp').html(normal_html);
				}else{mui.toast(arr['msg'],{ duration:'3000', type:'div' })}
			},
			error:function(xhr,type,errorThrown){plus.nativeUI.toast('网络连接异常')}
	});
}
//下单判断
mui('body').on('tap', '#pay', function() {
		if(ifNull($('#buySum').html())){
			mui.alert('请先选择商品','随心租',function(){});
		}else{
			var idx=''; //购物车下标
		    var listBox = $("[name='checkbox']:checked");
		    for(var i=0;i<listBox.length;i++){
		    	var targetId = listBox.eq(i).parent().parent().parent().find(".mui-btn-red").attr("target");
		    	idx +='|'+targetId;
			}
			idx  = idx.replace("|",""); //格式化
			goPage('order.html',idx);
		}	
})


//右上清空购物车
mui("body").on('tap','#delShoppingcart',function(){//清空购物车
	var btnArray = ['我再想想','确定'];
	mui.confirm('您确定要清空购物车里的商品？', '', btnArray, function(e) {
		if (e.index == 1) {//确定
			localStorage.shopingcar = '';
			localStorage.shopingcarPrdNums='';
			mui.toast('已清空所有商品');
			location.reload();//刷新页面	
		}
	})	
}) 


//滑动删除
var btnArray = ['确认', '取消'];
$('.mui-content').on('tap', '.mui-btn-red', function(event) {
	var elem = this;
	var li = elem.parentNode.parentNode;
	var idx = this.target-1; //下标从0开始，需减1
	mui.confirm('确认删除该产品吗？', '随心租', btnArray, function(e) {
		if (e.index == 0) {
			li.parentNode.removeChild(li);
			shopres.splice(idx, 1);  //数组内删除当前下标的内容
			var str = JSON.stringify(shopres);
				str  = str.replace("[",""); //格式化
				str  = str.replace("]",""); //格式化
			localStorage.shopingcar =  str; //更新到本地存储
			$('#itemLength').html(shopres.length);
			jsTotal();  //重新计算
		} else {
			setTimeout(function() {
				$.swipeoutClose(li);
			}, 0);
		}
	});
});

//全选、全不选
document.getElementById('checkAll').addEventListener('change',function(e) {
    var listBox = $("[name='checkbox']");
    if (e.target.checked) {
        listBox.each(function() {
            var ele = this;
            ele.checked=true
        })
       jsTotal();//计算总额       
    } else {
        listBox.each(function() {
            var ele = this;
            ele.checked=false
        })
        $("#total").text("0");
    	$("#buySum").html('');
		$("#pps").text("0");
    }
})

//数量的变化
mui("body").on('change',".mui-input-numbox",function(){
	var Nums = this.value;
	var idx = this.name;
	//数组内下标的内容
	shopres[idx-1].Nums=Nums;  
	var str = JSON.stringify(shopres);
		str  = str.replace("[",""); //格式化
		str  = str.replace("]",""); //格式化
	localStorage.shopingcar =  str; //更新到本地存储
	jsTotal();//算出总额
})

//多选框的改变事件
mui('body').on('change', '[name=checkbox]', function() {
	jsTotal();//算出总额
});

//算出总额
function jsTotal(){
    var listBoxs = $("[name='checkbox']");
    var listBox = $("[name='checkbox']:checked");
    var ptotal = 0;
    var stotal = 0;

    //购物车为空时
    if(listBoxs.length==0){
    	$('.empty').css('display','block');
		$('.empty').html('还没有添加商品');
		$('.mui-input-group').html('');
		$('.shopCart').css('display','none');
		$('#delShoppingcart').css('display','none');
		return;
    }
    if(listBox.length == 0){
    	$("#total").text(stotal);
		$("#pps").text(ptotal);
    	$('#buySum').html('');
    	return;
    }
    /*判断是否自动全选*/
    if(listBoxs.length==listBox.length){
    	$('#checkAll').prop('checked',true);
    }else{
    	$('#checkAll').prop('checked',false);
    }

    for(var i=0;i<listBox.length;i++){
    	var n = listBox.eq(i).parent().find(".mui-input-numbox").val();//数量

    	var p = listBox.eq(i).attr("data-p");//单期价
    	var m = Math.formatFloat(p*n,2);
		ptotal = Math.formatFloat(ptotal+m,2);

    	var sp = listBox.eq(i).val();//单品价
    	var sm = Math.formatFloat(sp*n,2);    	
    	stotal = Math.formatFloat(stotal+sm,2);
    }
    $("#total").text(stotal);
    $("#pps").text(ptotal);
    $('#buySum').html('('+listBox.length+')');
}

Math.formatFloat = function(f, digit) { 
    var m = Math.pow(10, digit); 
    return parseInt(f * m, 10) / m; 
} 



//先生成出店（超市）
// function queryShopList(){
// 	if(userbean=="" || userbean==null){
// 	    mui.toast("请您登录后重试");
// 		return;
// 	}
// 	var shoppingName=JSON.parse(userbean).uid;
// 	mui.ajax(http+"appShopShoppingcart/queryShopListCon?shoppingName="+shoppingName, {
// 		type:'GET',
// 		async:  false, // 同步
// 		dataType: 'json', //服务器返回json格式数据
// 		timeout: 15000, //15秒超时
// 		success: function(obj) {
// 			if(obj.state == 0 || obj.state == "0" ){
// 				var s=obj.shoplist;
// 				var shopStr="";
// 				for(var i=0;i<s.length;i++){
// 				 	shopStr+=   "<form data-shopid=\""+s[i].business_id+"\" class=\"mui-input-group\">"+
// 								"	<div class=\"mui-row\">"+
// 								"		<span class=\"q-span\">"+s[i].shop_name+"</span>"+
// 								"	</div>"+
// 								"	<div id=\"commList_"+s[i].business_id+"\">"+
// 								"	</div>"+
// 								"</form>";	
// 				}
// 				$("#shopList").empty();
// 				$("#shopList").append(shopStr);
// 			}else{
// 				mui.toast('查询数据失败');
// 			}
// 		},
// 		error: function(xhr, type, errorThrown) {
// 			mui.toast('系统错误');
// 		}
// 	});	
// }

//查询商品信息
// function queryShopCommList(){
// 	if(userbean=="" || userbean==null){
// 	    mui.toast("请您登录后重试");
// 		return;
// 	}
// 	var shoppingName=JSON.parse(userbean).uid;
// 	var f=$("form");
// 	for(var i=0;i<f.length;i++){
// 		var shopId = f.eq(i).attr("data-shopid");
// 		mui.ajax(http+"appShopShoppingcart/queryShoppingcartByTwoCon?shopId="+shopId+"&shoppingName="+shoppingName, {
// 		async:  false, // 同步
// 		type:'GET',
// 		dataType: 'json', //服务器返回json格式数据
// 		timeout: 15000, //15秒超时
// 		success: function(obj) {
// 			if(obj.state == 0 || obj.state == "0" ){
// 				var s=obj.shopcommlist;
// 				var str="";
// 				for(var j=0;j<s.length;j++){
// 				 	str+="<div class=\"mui-input-row mui-checkbox mui-left\">"+
// 						"	<a href=\"javascript:;\">"+
// 						"		<img class=\" mui-pull-left\" src=\""+s[j].picPath+"\">"+
// 						"		<div data-shcid=\""+s[j].id+"\" data-commid=\""+s[j].comm_id+"\"  class=\"mui-media-body\">"+
// 						"			<span class=\"mui-ellipsis-2 name\">"+s[j].name+"</span>"+
// 						"			<p class=\"mui-ellipsis\">"+s[j].explain+"</p>"+
// 						"			<span class=\"money\">￥"+s[j].present_price+"</span>"+
// 						"			<p class=\"mui-pull-right\">"+
// 						"				<div class=\"mui-numbox\" data-numbox-min=\"1\" >"+
// 						"					<button class=\"mui-btn mui-btn-numbox-minus\" type=\"button\">-</button>"+
// 						"					<input id=\"test\" class=\"mui-input-numbox\" type=\"number\" value=\"1\">"+
// 						"					<button class=\"mui-btn mui-btn-numbox-plus\" type=\"button\">+</button>"+
// 						"				</div>"+
// 						"			</p>"+
// 						"		</div>"+
// 						"	</a>"+
// 						"	<input name=\"checkbox\" data-p=\""+s[j].present_price+"\" value=\"Item1\" type=\"checkbox\">"+
// 						"</div>";
// 				}
// 				$("#commList_"+shopId+"").append(str);
// 			}else{
// 				mui.toast('查询数据失败');
// 			}
// 		},
// 		error: function(xhr, type, errorThrown) {
// 			mui.toast('系统错误');
// 		}
// 	});
// 	}
// }