mui.plusReady(function(){

	//设定返回页：不管从任何页面过来，返回时都反回到用户页面
	var selfPage = plus.webview.currentWebview();
	// console.log("PageID："+selfPage.id );
	if(selfPage.id='user-order.html'){
		mui.back=function () {  
	        mui.openWindow('user.html')  
		}
	}

	//设定下单跳转页：关闭从订单页支付跳转过来后，销毁前面的订单页
	var  _page =  plus.webview.getWebviewById("order.html");
	if(_page){
		localStorage.setItem('onPayClick',"F"); //取消防止重复点击标志
		_page.close();
	}

	//点击取消订单
	mui('body').on('tap', '.cancel', function() {
		var orderId = this.getAttribute('orderid');
		var btnArray = ['我再想想','确定'];
		mui.confirm('取消该笔订单吗？', '', btnArray, function(e) {
			if (e.index == 1) {//确定
				var req="method=mgr_order&action=cancel"; 
				req += '&token='+localStorage.getItem('Mtoken');	
				req += '&orderId='+orderId;
				// console.log(BaseUrl+req);
				mui.ajax(BaseUrl+req,{
						data:{},dataType:'jsonp',type:'post',timeout:10000,async:false,
						success:function(data){	
							arr = stdiscardHeadData(data);
							if(arr['code']=="1"){
								mui.toast('已经取消该笔订单');
								location.reload();//刷新页面	
					        }else{mui.toast(arr['msg'],{ duration:'3000', type:'div' })}
						},
						error:function(xhr,type,errorThrown){plus.nativeUI.toast('网络连接异常')}
				});
			}
		})
	})


	//点击确认收货
	mui('body').on('tap', '.recive', function() {
		var orderId = this.getAttribute('orderid');
		var btnArray = ['我再想想','确定'];
		mui.confirm('确认已经收货？', '', btnArray, function(e) {
			if (e.index == 1) {//确定
				var req="method=mgr_order&action=recive"; 
				req += '&token='+localStorage.getItem('Mtoken');	
				req += '&orderId='+orderId;
				// console.log(BaseUrl+req);
				mui.ajax(BaseUrl+req,{
						data:{},dataType:'jsonp',type:'post',timeout:10000,async:false,
						success:function(data){	
							arr = stdiscardHeadData(data);
							if(arr['code']=="1"){
								mui.toast('该笔订单已经完成确认收货');
								location.reload();//刷新页面	
					        }else{mui.toast(arr['msg'],{ duration:'3000', type:'div' })}
						},
						error:function(xhr,type,errorThrown){plus.nativeUI.toast('网络连接异常')}
				});
			}
		})
	})


	//设定从用户中心点击过来的选项锚点
	var self = plus.webview.currentWebview();		
	if(ifNull(self.params)){
		var tabIndex = self.dataKey;   //从用户中心跳转而来
	}else{
		var	tabIndex = self.params;    //用户下单成功后跳转而来
	}
	console.log(tabIndex);
	$('.mui-control-item').eq(tabIndex).addClass('mui-active').siblings().removeClass('mui-active');
	$('.mui-control-content').eq(tabIndex).addClass('mui-active').siblings().removeClass('mui-active');

	//默认选项卡获取数据
    function getActiveControl(){  
        var segmentedControl = document.getElementById("segmentedControl");  
        var links = segmentedControl.getElementsByTagName('a');  
        for (var i = 0; i < links.length; i++) {  
            if (links[i].getAttribute('class').indexOf('mui-active') > 0) {  
                var action = links[i].getAttribute('data-key');  
                get_order_list(action);
            }  
        }  
    }
    getActiveControl();

	//选项卡切换
	mui('#segmentedControl').on('tap', 'a', function() {
		id = this.getAttribute("href")?this.getAttribute("href"):'';
		var action = this.getAttribute("data-key")?this.getAttribute("data-key"):'';
		// console.log(action);
		get_order_list(action);
	});

	//订单内容判断登录
	if(localStorage.isLogin!="1"){
		ali_login_auth();
	}else{

	}

	//获取订单列表方法
	function get_order_list(action){
		var req="method=mgr_order&action="+action; 
		req += '&token='+localStorage.getItem('Mtoken'); 
		// console.log(BaseUrl+req);
		mui.ajax(BaseUrl+req,{
				data:{},dataType:'jsonp',type:'post',timeout:10000,async:false,
				success:function(data){	
					arr = stdiscardHeadData(data);
					if(arr['code']=="1"){
					var html='';
			      	var res =arr['data']['list'];
		        	var h_html=''; //头部
		        	var b_html=''; //主部
		        	var f_html=''; //底部

		        	for(var i=0,ret;ret=res[i++];){
		        		// console.log(JSON.stringify(ret));
						h_html='<div class="p6_area3">'+
						        '<div class="head">订单号:'+ret.order_num+'<span class="ors blue">'+getStatusStr(ret.status)+'</span></div>';

		        		for(var j=0,rep;rep=ret['prodslist'][j++];){
				    		b_html+='<div class="sale"> <a href="orderinfo.html" data-key="'+ret.id+'" class="photo"> <img src="'+rep.pic0+'" alt=""> </a>'+
						          '<div class="inf">'+
						            '<div class="name">'+ 
						            	'<a href="orderinfo.html" data-key="'+ret.id+'"  class="nm">'+rep.title+'</a>'+ 
						            	'<div class="saletag">该商品一经拆封不支持7天无理由退货</div>'+
						            '</div>'+
						            '<div class="pricenew">'+
						                '<div class="s1">总租金￥'+rep.price+' x'+rep.nums+'件</div>'+
        								'<div class="s2">日租金￥'+(rep.price/rep.init_rent).toFixed(2)+'/天 x'+rep.init_rent+'天</div> '+
						            	'<div class="s3">租金付款方式：支付宝免密支付</div>'+
						            '</div>'+
						          '</div>'+
						          '<div class="clear"></div>'+
						          '</div>';
		        		}

		        		//拼装底部内容
				    	f_html ='<div class="sp">'+
						          '<div class="pi rt">订单合计租金:￥'+ret.order_price+'元</div>'+
						        '</div>'+
						        '<div class="sbbtn">'+
						         '<div class="p6_bar">';

						switch(ret.status){
								case 'cancel':
									f_html += ' <span >订单关闭</span>';
							        break;
							     case 'waitpayfor':
									f_html += '<a href="#" class="qxa cancel" orderid="'+ret.id+'">取消订单</a>'+
									          '<a href="#" class="paya" orderid="'+ret.id+'">去支付</a>';	
							        break;
							     case 'waitrecive':
									f_html += '<a href="#" class="qxa recive" orderid="'+ret.id+'">确认收货</a>';	
							        break;
							     case 'waitreturn':
									f_html += '<a href="#" class="qxa">去履约</a>';
							        break;    
							     case 'finish':
									f_html += ' <span >订单完结</span>';
							        break; 		           
							     default:
							     	return "";
							     	break;
						}

						f_html +='</div>'+
						        '</div>'+
						      '</div>';
			    		html+=(h_html+b_html+f_html); //拼装数据
			    		h_html=b_html=h_html='';  //临时变量清空
		        	}
			      	$('.list').html(html);
			        }else{mui.toast(arr['msg'],{ duration:'3000', type:'div' })}
				},
				error:function(xhr,type,errorThrown){plus.nativeUI.toast('网络连接异常')}
		});
	}

	//状态字符串方法
	function getStatusStr(statustr){
		switch(statustr) {
		     case 'cancel':
		        return "已关闭";
		        break;
		     case 'waitpayfor':
		        return "待支付";
		        break;
		     case 'waitrecive':
		        return "待收货";
		        break;
		     case 'waitreturn':
		        return "履约中";
		        break;    
		     case 'finish':
		        return "已完结";
		        break; 		           
		     default:
		     	return "";
		     	break;
		}
	}

	//监听，从详情页返回时，重新加载页面
	window.addEventListener('refresh', function (e) {
	    location.reload();
	});
})