//初始化下来更新
mui.init({
  pullRefresh : {
    container:"#refreshContainer",//下拉刷新容器标识，querySelector能定位的css选择器均可，比如：id、.class等
    up : {
      contentrefresh : "正在加载...",//可选，正在加载状态时，上拉加载控件上显示的标题内容
      contentnomore:'没有更多数据了',//可选，请求完毕若没有更多数据时显示的提醒内容；
      height:'50px',//可选,默认50px.下拉刷新控件的高度,
      auto: false,//可选,默认false.首次加载自动上拉刷新一次
      offset:'300px', //可选 默认0px,下拉刷新控件的起始位置
      callback :pullupRefresh //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
    },
    down : {
      style:'circle',//必选，下拉刷新样式，目前支持原生5+ ‘circle’ 样式
      color:'#2BD009', //可选，默认“#2BD009” 下拉刷新控件颜色
      height:'50px',//可选,默认50px.下拉刷新控件的高度,
      range:'100px', //可选 默认100px,控件可下拉拖拽的范围
      offset:'0px', //可选 默认0px,下拉刷新控件的起始位置
      auto: false,//可选,默认false.首次加载自动上拉刷新一次
      callback :pulldownRefresh //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
    }
  }
});

//返回上一页时，告诉上一页重新拉取指定属性
mui.init({
    beforeback: function(){
     fatherpage = plus.webview.currentWebview().opener();
     mui.fire(fatherpage, 'refresh');
     return true;
    }
}) 

var BaseX = localStorage.getItem('BaseX');
console.log("ProductsPage:BaseX"+BaseX);

//全局搜索关键字
var  Skey='';
var  sortType = 1;
var  endPrice = '';

//初始加载
mui.plusReady(function(){
		var self = plus.webview.currentWebview();
			Skey = self.dataKey;
		$('#ssk').val(Skey);
		var req = "method=get_search_key&Skey="+Skey+"&page="+(page++)+"&sortType="+sortType;
		// console.log(BaseUrl+req);
		mui.ajax(BaseUrl+req,{
				data:{},dataType:'jsonp',type:'post',timeout:10000,
				success:function(data){
						var arr = stdiscardHeadData(data);
						var table = document.body.querySelector('.mui-table-view');
						if(arr['code']=="1"){
			              	var res =arr['data']['list'];
			              	for(var i=0,ret;ret=res[i++];){
			              		// console.log(ret.commodityInfo.sellingPoint);
								var href_html = 'product-detial.html?origin=suning&pcode='+ret.commodityInfo.commodityCode+'&pic0='+ret.commodityInfo.pictureUrl[0].picUrl+'&pic1='+ret.commodityInfo.pictureUrl[1].picUrl+'&pic2='+ret.commodityInfo.pictureUrl[2].picUrl+'&pic3='+ret.commodityInfo.pictureUrl[3].picUrl;
								var li = document.createElement('li');
								li.className = 'a';
								li.innerHTML = '<a href="'+href_html+'"><img src="'+ret.commodityInfo.pictureUrl[0].picUrl+'" class="proimg"></a>'+
											   ' <div>'+
											    '  <h3><span>自营</span><a href="'+href_html+'">'+cut_str(ret.commodityInfo.commodityName.replace(/，|[ ]|】|【|（|）|-/g, "."),24)+'</a></h3>'+
											    '  <p class="miaoshu">'+cut_str(ret.commodityInfo.sellingPoint.replace(/，|[ ]|。|！|；|\\|、|,|-/g, "|"),30)+' </p>'+
											    '  <p> <strong>押金/总租金￥'+(ret.commodityInfo.commodityPrice*BaseX).toFixed(2)+'</strong>  </p>'+
											    '  <p> <big class="jiage">￥'+((ret.commodityInfo.snPrice*BaseX)/365).toFixed(2)+' </big><small>/天</small><i class="tips">券</i></p>'+
											    ' <p><small>租期届满自动买断	提前买断无违约金</small></p>'+
											    ' </div>';
								table.appendChild(li);
			              	}
						}else{mui.toast(arr['msg'],{ duration:'3000', type:'div' })}
				},
				error:function(xhr,type,errorThrown){plus.nativeUI.toast('网络连接异常')}
		});
});


/**
 * 上拉加载具体业务实现
*/
function pullupRefresh() {
	setTimeout(function() {
		mui('#refreshContainer').pullRefresh().endPullupToRefresh(false); //参数为true代表没有更多数据了。
		if(endPrice!=''){
			var req = "method=get_search_key&Skey="+Skey+"&page="+(page++)+"&sortType="+sortType+"&endPrice="+endPrice/2;;
		}else{
			var req = "method=get_search_key&Skey="+Skey+"&page="+(page++)+"&sortType="+sortType;
		}
		mui.ajax(BaseUrl+req,{
				data:{},dataType:'jsonp',type:'post',timeout:10000,
				success:function(data){
						var arr = stdiscardHeadData(data);
						var table = document.body.querySelector('.mui-table-view');
						if(arr['code']=="1"){
			              	var res =arr['data']['list'];
			              	for(var i=0,ret;ret=res[i++];){
			              		// console.log(ret.commodityInfo.commodityName);
								var href_html = 'product-detial.html?pcode='+ret.commodityInfo.commodityCode+'&pic0='+ret.commodityInfo.pictureUrl[0].picUrl+'&pic1='+ret.commodityInfo.pictureUrl[1].picUrl+'&pic2='+ret.commodityInfo.pictureUrl[2].picUrl+'&pic3='+ret.commodityInfo.pictureUrl[3].picUrl;
								var li = document.createElement('li');
								li.className = 'a';
								li.innerHTML = '<a href="'+href_html+'"><img src="'+ret.commodityInfo.pictureUrl[0].picUrl+'" class="proimg"></a>'+
											   ' <div>'+
											    '  <h3><span>自营</span><a href="'+href_html+'">'+cut_str(ret.commodityInfo.commodityName.replace(/，|[ ]|】|【|（|）|-/g, "."),24)+'</a></h3>'+
											    '  <p class="miaoshu">'+cut_str(ret.commodityInfo.sellingPoint.replace(/，|[ ]|。|！|；|\\|、|,|-/g, "|"),30)+' </p>'+
											    '  <p> <strong>押金/总租金￥'+(ret.commodityInfo.commodityPrice*BaseX).toFixed(2)+'</strong>  </p>'+
											    '  <p> <big class="jiage">￥'+((ret.commodityInfo.snPrice*BaseX)/365).toFixed(2)+' </big><small>/天</small><i class="tips">券</i></p>'+
											    ' <p><small>租期届满自动买断	提前买断无违约金</small></p>'+
												' </div>';
								table.appendChild(li);
			              	}
						}else{mui.toast(arr['msg'],{ duration:'3000', type:'div' })}
				},
				error:function(xhr,type,errorThrown){plus.nativeUI.toast('网络连接异常')}
		});
	}, 1500);
}


/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	// setTimeout(function() {
	// 	var req = "method=get_search_key&Skey="+Skey+"&page="+(page++);
	// 	console.log(BaseUrl+req);
	// 	console.log("pulldown");		
	// 	mui.ajax(BaseUrl+req,{
	// 			data:{},dataType:'jsonp',type:'post',timeout:10000,
	// 			success:function(data){
	// 					var arr = stdiscardHeadData(data);
	// 					var table = document.body.querySelector('.mui-table-view');
	// 					if(arr['code']=="1"){
	// 		              	var res =arr['data']['list'];
	// 		              	for(var i=0,ret;ret=res[i++];){
	// 							var href_html = 'product-detial.html?pcode='+ret.commodityInfo.commodityCode+'&pic0='+ret.commodityInfo.pictureUrl[0].picUrl+'&pic1='+ret.commodityInfo.pictureUrl[1].picUrl+'&pic2='+ret.commodityInfo.pictureUrl[2].picUrl+'&pic3='+ret.commodityInfo.pictureUrl[3].picUrl;
	// 							var li = document.createElement('li');
	// 							li.className = 'a';
	// 							li.innerHTML = '<a href="'+href_html+'"><img src="'+ret.commodityInfo.pictureUrl[0].picUrl+'" class="proimg"></a>'+
	// 										   ' <div>'+
	// 										    '  <h3><span>自营</span><a href="'+href_html+'">'+cut_str(ret.commodityInfo.commodityName,48)+'</a></h3>'+
	// 										    '  <p class="miaoshu">'+ret.commodityInfo.sellingPoint.replace(/，|[ ]|,|-/g, "|")+' </p>'+
	// 										    '  <p> <strong>新人价￥'+ret.commodityInfo.commodityPrice+'</strong> ￥'+ret.commodityInfo.snPrice+' </p>'+
	// 										    '  <p> <big class="jiage">￥216.88 </big><small>/月</small><i class="tips">免息</i><i class="tips">券</i></p>'+
	// 										     ' </div>';
	// 							table.insertBefore(li, table.firstChild);
	// 		              	}
	// 						mui('#refreshContainer').pullRefresh().endPulldownToRefresh(); //refresh completed
	// 					}else{mui.toast(arr['msg'],{ duration:'3000', type:'div' })}
	// 			},
	// 			error:function(xhr,type,errorThrown){plus.nativeUI.toast('网络连接异常')}
	// 	});
	// }, 1500);
}

//价格顺序切换
var flag = true;
function sort_asc(){
$("#jg").children('.xjia').children('.up').css("border-bottom","0.1rem solid #4e78f6");
$("#jg").children('.xjia').children('.down').css("border-top","0.1rem solid #999");
flag=false;
}
function sort_desc(){
$("#jg").children('.xjia').children('.up').css("border-bottom","0.1rem solid #999");
$("#jg").children('.xjia').children('.down').css("border-top","0.1rem solid #4e78f6"); 
flag=true;
}
function sort_clear(){
$("#jg").children('.xjia').children('.up').css("border-bottom","0.1rem solid #999");
$("#jg").children('.xjia').children('.down').css("border-top","0.1rem solid #999");    	
}

//切换
mui('body').on('tap', 'a', function() {
	page = 1;
	var item = this.getAttribute("href")?this.getAttribute("href"):'';
	if(item=='#item1'){
		sortType = 1;
		sort_clear();
	}
	if(item=='#item2'){
		sortType = 2;
		sort_clear();
	}
	if(item=='#item3'){
		if(flag){  sort_asc();sortType = 3;	}
		else{ sort_desc();sortType = 4; }		
	}
	if(item=='#item4'){	sort_clear()}
	var req = "method=get_search_key&Skey="+Skey+"&page="+(page++)+"&sortType="+sortType;
	//console.log(BaseUrl+req);
	mui.ajax(BaseUrl+req,{
			data:{},dataType:'jsonp',type:'post',timeout:10000,
			success:function(data){
					var arr = stdiscardHeadData(data);
					var table = document.body.querySelector('.mui-table-view');
					$('.mui-table-view').empty();
					if(arr['code']=="1"){
		              	var res =arr['data']['list'];
		              	// console.log(res);
		              	for(var i=0,ret;ret=res[i++];){
							var href_html = 'product-detial.html?pcode='+ret.commodityInfo.commodityCode+'&pic0='+ret.commodityInfo.pictureUrl[0].picUrl+'&pic1='+ret.commodityInfo.pictureUrl[1].picUrl+'&pic2='+ret.commodityInfo.pictureUrl[2].picUrl+'&pic3='+ret.commodityInfo.pictureUrl[3].picUrl;
							var li = document.createElement('li');
							li.className = 'a';
							li.innerHTML = '<a href="'+href_html+'"><img src="'+ret.commodityInfo.pictureUrl[0].picUrl+'" class="proimg"></a>'+
										   ' <div>'+
										    '  <h3><span>自营</span><a href="'+href_html+'">'+cut_str(ret.commodityInfo.commodityName,48)+'</a></h3>'+
										    '  <p class="miaoshu">'+ret.commodityInfo.sellingPoint.replace(/，|[ ]|,|-/g, "|")+' </p>'+
											'  <p> <strong>租金￥'+(ret.commodityInfo.commodityPrice*BaseX).toFixed(2)+'</strong> | 租期届满自动买断 </p>'+
											'  <p> <big class="jiage">￥'+((ret.commodityInfo.snPrice*BaseX)/365).toFixed(2)+' </big><small>/天</small><i class="tips">券</i></p>'+
										    ' </div>';
							table.insertBefore(li, table.firstChild);
		              	}
					}else{mui.toast(arr['msg'],{ duration:'3000', type:'div' })}
			},
			error:function(xhr,type,errorThrown){plus.nativeUI.toast('网络连接异常')}
	});
});


//侧栏筛选弹层筛选
$(".xuans").click(function(){
	$(".xuans").hide()
	$(".xuanbox").hide()
});
$("#sx").click(function(){
	$(".xuans").show()
	$(".xuanbox").show()
});
$(".xubox h4 i").click(function(){
	$(this).toggleClass('hover')
	$(this).parents('.xubox').find('.als').toggleClass('hover')
});
$(".als span").click(function(){
	$('.als span').removeClass('hover')
	$(this).toggleClass("hover")
	$(this).parents('.xubox').find('em').text($(this).text())
});
$('.chongzhi').click(function(){
	$('#startPrice').val('');
	$('#endPrice').val('');
	$('.xubox').find('em').text('');
});
$('.tijiao').click(function(){
	//var keystr = $('.xubox').find('em').text();
	var startPrice = $('#startPrice').val();
	var endPrice = $('#endPrice').val();
	if(ifNull(endPrice)){
		alert("价格不能为空")
	}else{
		sort_clear();
		$(".xuans").hide();
		$(".xuanbox").hide();
		page = 1;	
		sortType =2; //按价格由到底排序
		var req = "method=get_search_key&Skey="+Skey+"&page="+(page++)+"&sortType="+sortType+"&endPrice="+endPrice/2;
		//console.log(BaseUrl+req);
		mui.ajax(BaseUrl+req,{
				data:{},dataType:'jsonp',type:'post',timeout:10000,
				success:function(data){
						var arr = stdiscardHeadData(data);
						var table = document.body.querySelector('.mui-table-view');
						$('.mui-table-view').empty();
						if(arr['code']=="1"){
			              	var res =arr['data']['list'];
			              	// console.log(res);
			              	for(var i=0,ret;ret=res[i++];){
								var href_html = 'product-detial.html?pcode='+ret.commodityInfo.commodityCode+'&pic0='+ret.commodityInfo.pictureUrl[0].picUrl+'&pic1='+ret.commodityInfo.pictureUrl[1].picUrl+'&pic2='+ret.commodityInfo.pictureUrl[2].picUrl+'&pic3='+ret.commodityInfo.pictureUrl[3].picUrl;
								var li = document.createElement('li');
								li.className = 'a';
								li.innerHTML = '<a href="'+href_html+'"><img src="'+ret.commodityInfo.pictureUrl[0].picUrl+'" class="proimg"></a>'+
											   ' <div>'+
											    '  <h3><span>自营</span><a href="'+href_html+'">'+cut_str(ret.commodityInfo.commodityName,48)+'</a></h3>'+
											    '  <p class="miaoshu">'+ret.commodityInfo.sellingPoint.replace(/，|[ ]|,|-/g, "|")+' </p>'+
												'  <p> <strong>租金￥'+(ret.commodityInfo.commodityPrice*BaseX).toFixed(2)+'</strong> | 租期届满自动买断 </p>'+
												'  <p> <big class="jiage">￥'+((ret.commodityInfo.snPrice*BaseX)/365).toFixed(2)+' </big><small>/天</small><i class="tips">券</i></p>'+
											    ' </div>';
								table.insertBefore(li, table.firstChild);
			              	}
						}else{mui.toast(arr['msg'],{ duration:'3000', type:'div' })}
				},
				error:function(xhr,type,errorThrown){plus.nativeUI.toast('网络连接异常')}
		});
	}
});